summaryrefslogtreecommitdiff
path: root/platform/ios/scripts/package.sh
diff options
context:
space:
mode:
Diffstat (limited to 'platform/ios/scripts/package.sh')
-rwxr-xr-xplatform/ios/scripts/package.sh19
1 files changed, 10 insertions, 9 deletions
diff --git a/platform/ios/scripts/package.sh b/platform/ios/scripts/package.sh
index 09b9e2a09c..2506540910 100755
--- a/platform/ios/scripts/package.sh
+++ b/platform/ios/scripts/package.sh
@@ -14,12 +14,15 @@ BUILDTYPE=${BUILDTYPE:-Debug}
BUILD_FOR_DEVICE=${BUILD_DEVICE:-true}
SYMBOLS=${SYMBOLS:-YES}
+FORMAT=${FORMAT:-dynamic}
BUILD_DYNAMIC=true
-BUILD_STATIC=true
+BUILD_STATIC=false
if [[ ${FORMAT} == "static" ]]; then
+ BUILD_STATIC=true
BUILD_DYNAMIC=false
-elif [[ ${FORMAT} == "dynamic" ]]; then
- BUILD_STATIC=false
+elif [[ ${FORMAT} != "dynamic" ]]; then
+ echo "Error: FORMAT must be dynamic or static."
+ exit 1
fi
SDK=iphonesimulator
@@ -32,7 +35,7 @@ function step { >&2 echo -e "\033[1m\033[36m* $@\033[0m"; }
function finish { >&2 echo -en "\033[0m"; }
trap finish EXIT
-step "Configuring ${FORMAT:-dynamic and static} ${BUILDTYPE} framework for ${SDK} ${IOS_SDK_VERSION}; symbols: ${SYMBOLS}"
+step "Configuring ${FORMAT} framework for ${SDK} ${IOS_SDK_VERSION} (symbols: ${SYMBOLS}, buildtype: ${BUILDTYPE})"
xcodebuild -version
@@ -59,13 +62,11 @@ SHORT_VERSION=${SEM_VERSION%-*}
step "Building targets (build ${PROJ_VERSION}, version ${SEM_VERSION})"
SCHEME='dynamic'
-if [[ ${BUILD_DYNAMIC} == true && ${BUILD_STATIC} == true ]]; then
- SCHEME+='+static'
-elif [[ ${BUILD_STATIC} == true ]]; then
+if [[ ${BUILD_STATIC} == true ]]; then
SCHEME='static'
fi
-step "Building for iOS Simulator using scheme ${SCHEME}"
+step "Building ${FORMAT} framework for iOS Simulator using ${SCHEME} scheme"
xcodebuild \
CURRENT_PROJECT_VERSION=${PROJ_VERSION} \
CURRENT_SHORT_VERSION=${SHORT_VERSION} \
@@ -80,7 +81,7 @@ xcodebuild \
-jobs ${JOBS} | tee ${LOG_PATH} | xcpretty
if [[ ${BUILD_FOR_DEVICE} == true ]]; then
- step "Building for iOS devices using scheme ${SCHEME}"
+ step "Building ${FORMAT} framework for iOS devices using ${SCHEME} scheme"
xcodebuild \
CURRENT_PROJECT_VERSION=${PROJ_VERSION} \
CURRENT_SHORT_VERSION=${SHORT_VERSION} \